Download it now!
Bug 130610 - Writer: DOCX export: text is not bold
Summary: Writer: DOCX export: text is not bold
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Serge Krot (CIB)
URL:
Whiteboard: target:7.0.0 target:6.4.2
Keywords: filter:docx
Depends on:
Blocks:
 
Reported: 2020-02-12 08:51 UTC by Serge Krot (CIB)
Modified: 2020-05-10 11:58 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
text with bold=true in 2 styles (9.83 KB, application/vnd.oasis.opendocument.text-template)
2020-02-12 08:51 UTC, Serge Krot (CIB)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Serge Krot (CIB) 2020-02-12 08:51:50 UTC
Created attachment 157813 [details]
text with bold=true in 2 styles

When text has only bold=true inside character properties style and bold=true inside paragraph properties style MSO Word shows such text as non bold.
Comment 1 Serge Krot (CIB) 2020-02-12 09:40:07 UTC
Prepared patch
https://gerrit.libreoffice.org/c/core/+/88460
Comment 2 Commit Notification 2020-02-12 21:25:32 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0c6ef9ba325fc37f325a2848e013852d2780a5ca

tdf#130610 docx export: handle bold as toggle properties

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-02-13 08:49:10 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/c38ba97261c0af28cb48786a7ad7edcab1e85cb4

tdf#130610 docx export: handle bold as toggle properties

It will be available in 6.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 BogdanB 2020-05-10 11:58:47 UTC
Everything ok.
Verified on
Version: 6.4.3.2
Build ID: libreoffice-6.4.3.2-snap1
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded

Also on
Version: 7.0.0.0.alpha1
Build ID: 6a03b2a54143a9bc0c6d4c7f1...
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded